
Calculate Linux - Bug # 1079: Ð§ÐµÑ€Ð½Ñ‹Ð¹ ÐµÐºÑ€Ð°Ð½ Ð¿Ð¾Ñ•Ð»Ðµ ÑƒÑ•Ð¿ÐµÑˆÐ½Ð¾Ð³Ð¾ Ð²Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ñ• cl-update 

Status: Feedback Priority: Immediate

Author: Dmytro Husakivskyi Category: Calculate Linux Desktop KDE

Created: 07/07/2018 Assignee:

Updated: 09/26/2018 Due date:

Subject: Ð§ÐµÑ€Ð½Ñ‹Ð¹ ÐµÐºÑ€Ð°Ð½ Ð¿Ð¾Ñ•Ð»Ðµ ÑƒÑ•Ð¿ÐµÑˆÐ½Ð¾Ð³Ð¾ Ð²Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ñ• cl-update 

Description: Ð—Ð°Ð¿ÑƒÑ•Ñ‚Ð¸Ð» cl-update, Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ Ð¿Ñ€Ð¾ÑˆÐ»Ð¾ ÑƒÑ•Ð¿ÐµÑˆÐ½Ð¾, 

Ð²Ñ•Ðµ Ð±Ñ‹Ð»Ð¾ Ñ…Ð¾Ñ€Ð¾ÑˆÐ¾. ÐŸÑ€Ð¸ Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÐµÐ¼ Ð·Ð°Ð¿ÑƒÑ•ÐºÐµ 

Ð½Ð°Ð±Ð»ÑŽÐ´Ð°Ð» Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÐµÐµ: Ñ•Ñ‚Ð°Ñ€Ñ‚ÑƒÐµÑ‚ OpenRC, Ð½Ð¸ÐºÐ°ÐºÐ¸Ñ… 

Ð¾ÑˆÐ¸Ð±Ð¾Ðº Ð½ÐµÑ‚, Ð½Ð¾ Ð²Ð¼ÐµÑ•Ñ‚Ð¾ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ° sddm Ð½Ð°Ð±Ð»ÑŽÐ´Ð°ÑŽ 

Ñ‡ÐµÑ€Ð½Ñ‹Ð¹ ÐµÐºÑ€Ð°Ð½, Ð² Ð»ÐµÐ²Ð¾Ð¼ Ð²ÐµÑ€Ñ…Ð½ÐµÐ¼ ÑƒÐ³Ð»Ñƒ 

Ð½ÐµÐ¼Ð¸Ð³Ð°ÑŽÑ‰Ð¸Ð¹ "_". ÐŸÑ€Ð¸ Ð·Ð°Ð¿ÑƒÑ•ÐºÐµ Ð² SafeMode Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñ‹ 

Ð½ÐµÑ‚.

History

07/09/2018 10:12 am - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Ð¾ÑˆÐ¸Ð±ÐºÐ° Ñ…Ð°Ñ€Ð°ÐºÑ‚ÐµÑ€Ð½Ð° Ð´Ð»Ñ• Ñ•Ð»ÑƒÑ‡Ð°Ñ•, ÐºÐ¾Ð³Ð´Ð° ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½ 

Ð½ÐµÑ•Ð¾Ð²Ð¼ÐµÑ•Ñ‚Ð¸Ð¼Ñ‹Ð¹ Ñ• Ñ‡Ð¸Ð¿Ñ•ÐµÑ‚Ð¾Ð¼ Ð²Ð¸Ð´ÐµÐ¾ÐºÐ°Ñ€Ñ‚Ñ‹ Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€ (Ð½Ð°Ð¿Ñ€Ð¸Ð¼ÐµÑ€, 

Ñ•Ð»Ð¸ÑˆÐºÐ¾Ð¼ Ð½Ð¾Ð²Ñ‹Ð¹). Ð¾Ð±Ñ‰Ð°Ñ• Ñ•Ñ…ÐµÐ¼Ð° Ð¸Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½Ð¸Ñ•: Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¸Ñ‚ÑŒÑ•Ñ• Ñ• 

Ð¿Ð°Ñ€Ð°Ð¼ÐµÑ‚Ñ€Ð¾Ð¼ nox (no X, Ð±ÐµÐ· Ð³Ñ€Ð°Ñ„Ð¸ÐºÐ¸, Ð´Ð¾Ð¿Ð¸Ñ•Ñ‹Ð²Ð°ÐµÑ‚Ñ•Ñ• Ð² grub Ð¿Ñ€Ð¸ Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ), 

Ð²Ð¾Ð¹Ñ‚Ð¸ Ð² ÐºÐ¾Ð½Ñ•Ð¾Ð»ÑŒ Ñ•ÑƒÐ¿ÐµÑ€Ð¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ð°Ñ‚ÐµÐ»Ñ•, Ð¿Ð¾Ñ•Ð¼Ð¾Ñ‚Ñ€ÐµÑ‚ÑŒ ÐºÐ°ÐºÐ¸Ðµ 

Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€Ð° Ð°ÐºÑ‚Ð¸Ð²Ð½Ñ‹:

<pre>

# cl-setup-video --video list

Ð’Ð¸Ð´ÐµÐ¾ Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€:

  [default]  Ð•Ð²Ñ‚Ð¾Ð¾Ð¿Ñ€ÐµÐ´ÐµÐ»ÐµÐ½Ð¸Ðµ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð¾Ð¹

  [radeon]   AMD Radeon (radeon)

  [amdgpu]   AMD AMDGPU (amdgpu)

  [intel]    Intel (intel)

  [nouveau]  Nvidia Nouveau (nouveau)

  [nvidia]   Nvidia Graphics Driver (nvidia) *

</pre>

Ð² Ð¿Ñ€Ð¸Ð¼ÐµÑ€Ðµ - Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€Ð° nVidia

Ð¢ÐµÐ¿ÐµÑ€ÑŒ Ð½ÑƒÐ¶Ð½Ð¾ Ð¿Ð¾Ñ•Ð¼Ð¾Ñ‚Ñ€ÐµÑ‚ÑŒ ÐºÐ°ÐºÐ°Ñ• Ð²ÐµÑ€Ñ•Ð¸Ñ• Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€Ð¾Ð² Ñ•Ñ‚Ð¾Ð¸Ñ‚



<pre>

[I] x11-drivers/nvidia-drivers

     Ð”Ð¾Ñ•Ñ‚ÑƒÐ¿Ð½Ñ‹Ðµ Ð²ÐµÑ€Ñ•Ð¸Ð¸:      304.137(0/304)^md 340.107(0/340)^md [m]375.82(0/375)^md [m]378.13-r1(0/378)^md 

[m]381.22-r1(0/381)^md [m]384.130(0/384)^md [m]387.34(0/387)^md [m]390.67(0/390)^md [m]396.24-r1(0/396)^md {+X acpi compat +driver gtk3 

+kms multilib pax_kernel static-libs +tools uvm wayland ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32" 

KERNEL="FreeBSD linux"}

     Ð£Ñ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ñ‹Ðµ Ð²ÐµÑ€Ñ•Ð¸Ð¸:  340.107^md(17:46:36 04.07.2018)(X multilib tools -acpi -pax_kernel -static-libs 

ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32" KERNEL="linux -FreeBSD")

     Ð”Ð¾Ð¼Ð°ÑˆÐ½Ñ•Ñ• Ñ•Ñ‚Ñ€Ð°Ð½Ð¸Ñ†Ð°:     http://www.nvidia.com/ http://www.nvidia.com/Download/Find.aspx

     ÐžÐ¿Ð¸Ñ•Ð°Ð½Ð¸Ðµ:              NVIDIA Accelerated Graphics Driver

</pre>



Ð’ Ð¿Ñ€Ð¸Ð¼ÐµÑ€Ðµ - 340. Ð—Ð°Ð¼Ð°Ñ•ÐºÐ¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ Ñ‚ÐµÐºÑƒÑ‰ÑƒÑŽ Ð²ÐµÑ€Ñ•Ð¸ÑŽ Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€Ð¾Ð². Ð£ Ð¼ÐµÐ½Ñ• 

(Ð½Ð°Ð¿Ñ€Ð¸Ð¼ÐµÑ€) 

<pre>

# cat /etc/portage/package.mask/nvidia 

>x11-drivers/nvidia-drivers-340.116
</pre>

Ð·Ð°Ð¼Ð°Ñ•ÐºÐ¸Ñ€Ð¾Ð²Ð°Ð½Ñ‹ Ð²ÐµÑ€Ñ•Ð¸Ð¸ Ñ•Ñ‚Ð°Ñ€ÑˆÐµ 340.116



ÐŸÐ¾Ñ•Ð»ÐµÐ´Ð½ÐµÐµ - Ñ•Ð´ÐµÐ»Ð°Ñ‚ÑŒ cl-update Ð¸ Ð¿ÐµÑ€ÐµÐ·Ð°Ð³Ñ€ÑƒÐ·Ð¸Ñ‚ÑŒÑ•Ñ•



09/26/2018 06:58 am - Alexander Tratsevskiy

- Status changed from New to Feedback

ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ€ÐµÑˆÐµÐ½Ð°?
